<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.3) on Fri May 10 16:58:32 CEST 2019 -->
<title>User</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-05-10">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="User";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/User.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">model.classes</a></div>
<h2 title="Class User" class="title">Class User</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="Person.html" title="class in model.classes">model.classes.Person</a></li>
<li>
<ul class="inheritance">
<li>model.classes.User</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">User</span>
extends <a href="Person.html" title="class in model.classes">Person</a></pre>
<div class="block">User class, inherits Person class, is used to instance object representing an operator or a supervisor</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Clement AZIBEIRO</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(int,java.lang.String,java.lang.String,java.lang.String,java.lang.String,model.classes.Role,model.classes.User)">User</a></span>&#8203;(int&nbsp;idPerson,
    java.lang.String&nbsp;firstname,
    java.lang.String&nbsp;lastname,
    java.lang.String&nbsp;login,
    java.lang.String&nbsp;password,
    <a href="Role.html" title="class in model.classes">Role</a>&nbsp;user_role,
    <a href="User.html" title="class in model.classes">User</a>&nbsp;supervisor)</code></th>
<td class="colLast">
<div class="block">Constructor of the User class</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(model.classes.Person,java.lang.String,java.lang.String,model.classes.Role,model.classes.User)">User</a></span>&#8203;(<a href="Person.html" title="class in model.classes">Person</a>&nbsp;person,
    java.lang.String&nbsp;login,
    java.lang.String&nbsp;password,
    <a href="Role.html" title="class in model.classes">Role</a>&nbsp;user_role,
    <a href="User.html" title="class in model.classes">User</a>&nbsp;supervisor)</code></th>
<td class="colLast">
<div class="block">Constructor of the User class</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getIsConnected()">getIsConnected</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getLogin()">getLogin</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPassword()">getPassword</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="User.html" title="class in model.classes">User</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSupervisor()">getSupervisor</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="Role.html" title="class in model.classes">Role</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getUser_role()">getUser_role</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setIsConnected(boolean)">setIsConnected</a></span>&#8203;(boolean&nbsp;isConnected)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setLogin(java.lang.String)">setLogin</a></span>&#8203;(java.lang.String&nbsp;login)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setPassword(java.lang.String)">setPassword</a></span>&#8203;(java.lang.String&nbsp;password)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setSupervisor(model.classes.User)">setSupervisor</a></span>&#8203;(<a href="User.html" title="class in model.classes">User</a>&nbsp;one_user)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setUser_role(model.classes.Role)">setUser_role</a></span>&#8203;(<a href="Role.html" title="class in model.classes">Role</a>&nbsp;user_role)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#toString()">toString</a></span>()</code></th>
<td class="colLast">
<div class="block">Override of the method to string, show all properties of an instance of User class</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.model.classes.Person">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;model.classes.<a href="Person.html" title="class in model.classes">Person</a></h3>
<code><a href="Person.html#getFirstname()">getFirstname</a>, <a href="Person.html#getIdPerson()">getIdPerson</a>, <a href="Person.html#getLastname()">getLastname</a>, <a href="Person.html#setFirstname(java.lang.String)">setFirstname</a>, <a href="Person.html#setIdPerson(int)">setIdPerson</a>, <a href="Person.html#setLastname(java.lang.String)">setLastname</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(model.classes.Person,java.lang.String,java.lang.String,model.classes.Role,model.classes.User)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>User</h4>
<pre>public&nbsp;User&#8203;(<a href="Person.html" title="class in model.classes">Person</a>&nbsp;person,
            java.lang.String&nbsp;login,
            java.lang.String&nbsp;password,
            <a href="Role.html" title="class in model.classes">Role</a>&nbsp;user_role,
            <a href="User.html" title="class in model.classes">User</a>&nbsp;supervisor)</pre>
<div class="block">Constructor of the User class</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>person</code> - An instance of the Person class</dd>
<dd><code>login</code> - The user login</dd>
<dd><code>password</code> - The user password</dd>
<dd><code>user_role</code> - An instance of the Role class, the user role</dd>
<dd><code>supervisor</code> - An instance of the User class, The operator supervisor</dd>
</dl>
</li>
</ul>
<a id="&lt;init&gt;(int,java.lang.String,java.lang.String,java.lang.String,java.lang.String,model.classes.Role,model.classes.User)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>User</h4>
<pre>public&nbsp;User&#8203;(int&nbsp;idPerson,
            java.lang.String&nbsp;firstname,
            java.lang.String&nbsp;lastname,
            java.lang.String&nbsp;login,
            java.lang.String&nbsp;password,
            <a href="Role.html" title="class in model.classes">Role</a>&nbsp;user_role,
            <a href="User.html" title="class in model.classes">User</a>&nbsp;supervisor)</pre>
<div class="block">Constructor of the User class</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>idPerson</code> - A user id</dd>
<dd><code>firstname</code> - A user firstname</dd>
<dd><code>lastname</code> - A user lastname</dd>
<dd><code>login</code> - A user login</dd>
<dd><code>password</code> - A user password</dd>
<dd><code>user_role</code> - An instance of the Role class, a user role</dd>
<dd><code>supervisor</code> - An instance of the User class, a operator supervisor</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getLogin()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLogin</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;getLogin()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current user login</dd>
</dl>
</li>
</ul>
<a id="getPassword()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPassword</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;getPassword()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current user password</dd>
</dl>
</li>
</ul>
<a id="getUser_role()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUser_role</h4>
<pre class="methodSignature">public&nbsp;<a href="Role.html" title="class in model.classes">Role</a>&nbsp;getUser_role()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current user role</dd>
</dl>
</li>
</ul>
<a id="getSupervisor()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSupervisor</h4>
<pre class="methodSignature">public&nbsp;<a href="User.html" title="class in model.classes">User</a>&nbsp;getSupervisor()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current operator supervisor</dd>
</dl>
</li>
</ul>
<a id="getIsConnected()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIsConnected</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;getIsConnected()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current operator status</dd>
</dl>
</li>
</ul>
<a id="setLogin(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLogin</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setLogin&#8203;(java.lang.String&nbsp;login)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>login</code> - The new user login</dd>
</dl>
</li>
</ul>
<a id="setPassword(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPassword</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setPassword&#8203;(java.lang.String&nbsp;password)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>password</code> - The new user password</dd>
</dl>
</li>
</ul>
<a id="setUser_role(model.classes.Role)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUser_role</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setUser_role&#8203;(<a href="Role.html" title="class in model.classes">Role</a>&nbsp;user_role)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>user_role</code> - The new user role</dd>
</dl>
</li>
</ul>
<a id="setSupervisor(model.classes.User)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSupervisor</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setSupervisor&#8203;(<a href="User.html" title="class in model.classes">User</a>&nbsp;one_user)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>one_user</code> - The new operator supervisor</dd>
</dl>
</li>
</ul>
<a id="setIsConnected(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIsConnected</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setIsConnected&#8203;(boolean&nbsp;isConnected)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>isConnected</code> - The new operator status</dd>
</dl>
</li>
</ul>
<a id="toString()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;toString()</pre>
<div class="block">Override of the method to string, show all properties of an instance of User class</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="Person.html#toString()">toString</a></code>&nbsp;in class&nbsp;<code><a href="Person.html" title="class in model.classes">Person</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/User.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
